Appendix F. Installation

Use the .deb package from http://www.kde-apps.org/content/show.php/kajongg?content=103206. If it does not work for you, you can download kajongg-x-y.tar.gz from the same address and then do:

tar xfz kajongg-x-y.tar.gz
cd kajongg-x-y
./setup.py install

In both cases you will manually have to make sure that some other required packages are installed. The debian package does not yet contain these requirements. Kajongg needs: (corresponding debian packages in parentheses)

  • the KDE4 games library (libkdegames5)

  • Python 2.6 or higher (python)

  • QT4.4 or higher (libqt4-core, libqt4-gui, libqt4-svg, libqt4-sql, libqt4-sql-sqlite)

  • the python bindings for QT4 (python-qt4, python-qt4-sql)

  • the python bindings for KDE4 (python-kde4)

  • the python twisted library (python-twisted-core)

  • sqlite3 (libsqlite3-0)